Subject: Re: [net-next 04/14] net: Fix issue with netdev_tx_reset_queue not resetting queue from XOFF state

From: John Fastabend <[email-masked]>
Date: Fri, 20 Apr 2012 14:31:14 -0700

On 4/20/2012 2:19 PM, Tom Herbert wrote:
> Hi Jeff,
> 
>> @@ -3244,7 +3246,6 @@ static void igb_clean_tx_ring(struct igb_ring *tx_ring)
>>                buffer_info = &tx_ring->tx_buffer_info[i];
>>                igb_unmap_and_free_tx_resource(tx_ring, buffer_info);
>>        }
>> -       netdev_tx_reset_queue(txring_txq(tx_ring));
>>
> Why is it necessary to remove this?  If rings are being freed with
> going through completion path then we would need this reset.  Is this
> being done elsewhere maybe?
> 

Alex moved this into the igb_configure_tx_ring() iirc to catch an ethtool
test case. He assured me when I reviewed the patch that igb_configure_tx_ring()
would always be called before netif_carrier_on() so I think(?) that should
be OK.

The above removed case was called after netif_carrier_off() anyways.

> Tom
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html